{ fetchurl, stdenv, confuse, alsaLib, wirelesstools
  }:

stdenv.mkDerivation rec {
  name = "i3status-2.4";

  src = fetchurl {
    url = "http://i3wm.org/i3status/${name}.tar.bz2";
    sha256 = "620f3768dc4e9ea391ca5b5e358d018ca5d2820da1fce71a71664ca554778abd";
  };

  buildInputs = [ confuse alsaLib wirelesstools ];

  makeFlags = "all";
  installFlags = "PREFIX=\${out}";

  meta = {
    description = "i3 is a tiling window manager";
    homepage = http://i3wm.org;
    maintainers = [ stdenv.lib.maintainers.garbas ];
    license = stdenv.lib.licenses.bsd3;
  };

}
